Integrador
Desbloquear loja
Religa uma loja bloqueada, mantendo o token que ela já possuía.
POST
/manager/integrator/store/unblockAuthorization
bearerAuth gatewayKey AuthorizationBearer <token>
Token JWT no formato: Bearer {token}
In: header
ocp-apim-subscription-key<token>
Gateway Token recebido na criacao da loja.
In: header
Request Body
application/json
Corpo da requisição.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://api.smarttef.mobi/manager/integrator/store/unblock" \ -H "Content-Type: application/json" \ -d '{ "cnpj": "99999999999999" }'Empty
{
"status": 400,
"data": {
"message": "O CNPJ do integrador, contido no token, difere do cnpj_integrador do request",
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/integrator/store/unblock"
}
}{
"status": 401,
"data": {
"message": [
"Unauthorized",
"Token não e do tipo integrador, verifique se o token está correto.",
"token not corresponds."
],
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/integrator/store/unblock"
}
}{
"status": 404,
"data": {
"message": "Integrator not found",
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/integrator/store/unblock"
}
}{
"status": 500,
"data": {
"message": "Internal Server Error",
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/integrator/store/unblock"
}
}